<?php
require_once('conf/dbc.php');
require_once('conf/session_start.php'); 
require_once('conf/ban.php');
$page_title = 'Бан-лист'; 
require_once('conf/head.php');
if((!isset($_SESSION['id'])) and
(!isset($_SESSION['nick']))) { 
require_once('conf/top.php');
header('location: /');}
$user_id = abs(intval($_SESSION['id']));
$adm=$dbc->query("SELECT `admin` FROM`users` WHERE`id`='$user_id'")->fetch_assoc();
if($adm['admin']<='0' or $adm['admin']>5){header('location: /');}
switch($_GET['act']){
default:
$id=intval($_GET['bid']);
$count=mysqli_num_rows(mysqli_query($dbc,"SELECT COUNT(*) FROM`us_ban`"));

require_once('conf/top.php');
include_once 'nav_class.php';

//Эх подстраничная навигация нелезть:)
$nstr='10'; //Сообщений на страницу
$countQ=$dbc->query("SELECT * FROM`us_ban`"); #запрос в бд
$count=mysqli_num_rows($countQ); //Подсчёт строк
$pages = new Navigator($count,$nstr); #Вызов класса подстраничной навигации и расчёт страниц
$str = $pages -> start; //Сам хз что))
//----------//

$q=$dbc->query("SELECT * FROM `us_ban`  ORDER BY`id` DESC LIMIT $str,$nstr "); //Запрос в бд 
while($ch=$q->fetch_assoc()){ //Цикл ))

echo' <p class="name2">Список заблокированных игроков</p>';
function bactive($time,$id){
if($time>time()){return '<font color="green">Активен</font> [<a href="?act=unban&bid='.$id.'">Разбанить</a>]';}else{return '<font color="red">Не активен</font>';}}
function btype($type){
if($type=='forum'){return 'на форума';}elseif($type=='chat'){return 'на чат';}elseif($type=='ip'){return 'по ip';}elseif($type=='mail'){return 'на почту';}elseif($type=='game'){return 'на игру';}else{return'error';}}
while($ban=$q->fetch_assoc()){


$us=$dbc->query("SELECT * FROM`users` WHERE`id`='$ban[usid]'")->fetch_assoc();
echo'<a style="text-decoration:none;"  href="profile.php?id='.$ban['id'].'">'.$ban['nick'].'</a>Игрок  <a style="text-decoration:none;" class="golub" href="profile.php?id='.$us['id'].'">'.$us['nick'].'</a> забанен  '.btype($ban['type']).'  до '.date('d.m.y. H:i:s',$ban['time']).'<br/>Бан: '.bactive($ban['time'],$ban['id']).'<br/>Причина: '.htmlspecialchars($ban['prich']).'<p class="podmenu" style="border-top:1px dashed #444e4f;"></p>';

}
}
if($count==0){echo'<p class="podmenu" style="border-top:1px dashed #444e4f;"></p>Игроков в бане нету<p class="podmenu" style="border-top:1px dashed #444e4f;"></p>';}
$pages->print_nav('&'); //Навигация гг


break;
case'unban':
$id=intval($_GET['bid']);

$dbc->query("UPDATE`us_ban`SET`time`='0'WHERE`id`='$id'");
header('location: ?sok::ok');
break;
}
require_once('conf/navig.php'); 
require_once('conf/foot.php');
mysqli_close($dbc); ?>